### Method

# Gtk Text set_placeholder_text

#### Declaration [src]

    void
    gtk_text_set_placeholder_text (
      GtkText* self,
      const char* text
    )

#### Description [src]

Sets text to be displayed in `self` when it is empty.

This can be used to give a visual hint of the expected contents of the `GtkText`.

Sets property | `Gtk.Text:placeholder-text`

#### Parameters

`text` | `const char*`
| A string to be displayed when `self` is empty and unfocused.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.